# PhasicFlow: timeInterval Class Reference

timeInterval Class Reference
Inheritance diagram for timeInterval:
[legend]

## Public Member Functions

INLINE_FUNCTION_HD | timeInterval ()
INLINE_FUNCTION_HD | timeInterval (const timeInterval &)=default
INLINE_FUNCTION_HD timeInterval & | operator= (const timeInterval &)=default
FUNCTION_H | timeInterval (const dictionary &dict)
INLINE_FUNCTION_HD | ~timeInterval ()=default
INLINE_FUNCTION_HD auto | startTime () const
INLINE_FUNCTION_HD auto | endTime () const
INLINE_FUNCTION_HD auto | time () const
INLINE_FUNCTION_HD void | setTime (real t)
INLINE_FUNCTION_HD bool | inTimeRange (real t) const
INLINE_FUNCTION_HD bool | inTimeRange () const
FUNCTION_H bool | read (const dictionary &dict)
FUNCTION_H bool | write (dictionary &dict) const
FUNCTION_H bool | read (iIstream &is)
FUNCTION_H bool | write (iOstream &os) const

## Protected Attributes

real | startTime_ = 0
real | endTime_ = largeValue
real | time_ =0
bool | isInInterval_ = true

## Detailed Description

Definition at line 16 of file timeInterval.hpp.

## Constructor & Destructor Documentation

## timeInterval() [1/3]

INLINE_FUNCTION_HD timeInterval | ( |  | ) |

inline

Definition at line 30 of file timeInterval.hpp.

## timeInterval() [2/3]

INLINE_FUNCTION_HD timeInterval | ( | const timeInterval & |  | ) |

default

## timeInterval() [3/3]

FUNCTION_H timeInterval | ( | const dictionary & | dict | ) |

Definition at line 7 of file timeInterval.cpp.

References fatalExit, and timeInterval::read().

Here is the call graph for this function:

## ~timeInterval()

INLINE_FUNCTION_HD ~timeInterval | ( |  | ) |

default

## Member Function Documentation

## operator=()

INLINE_FUNCTION_HD timeInterval& operator= | ( | const timeInterval & |  | ) |

default

## startTime()

INLINE_FUNCTION_HD auto startTime | ( |  | ) | const

inline

Definition at line 45 of file timeInterval.hpp.

References timeInterval::startTime_.

Referenced by vibrating::calculateVelocity().

Here is the caller graph for this function:

## endTime()

INLINE_FUNCTION_HD auto endTime | ( |  | ) | const

inline

Definition at line 51 of file timeInterval.hpp.

References timeInterval::endTime_.

## time()

INLINE_FUNCTION_HD auto time | ( |  | ) | const

inline

Definition at line 57 of file timeInterval.hpp.

References timeInterval::time_.

Referenced by vibrating::calculateVelocity(), and vibrating::setTime().

Here is the caller graph for this function:

## setTime()

INLINE_FUNCTION_HD void setTime | ( | real | t | ) |

inline

Definition at line 63 of file timeInterval.hpp.

References timeInterval::inTimeRange(), timeInterval::isInInterval_, and timeInterval::time_.

Referenced by vibrating::setTime().

Here is the call graph for this function:
Here is the caller graph for this function:

## inTimeRange() [1/2]

INLINE_FUNCTION_HD bool inTimeRange | ( | real | t | ) | const

inline

Definition at line 70 of file timeInterval.hpp.

References timeInterval::endTime_, and timeInterval::startTime_.

## inTimeRange() [2/2]

INLINE_FUNCTION_HD bool inTimeRange | ( |  | ) | const

inline

Definition at line 76 of file timeInterval.hpp.

References timeInterval::isInInterval_.

Referenced by vibrating::calculateVelocity(), rotatingAxis::linTangentialVelocityPoint(), timeInterval::setTime(), and vibrating::transferPoint().

Here is the caller graph for this function:

## read() [1/2]

FUNCTION_H bool read | ( | const dictionary & | dict | ) |

Definition at line 17 of file timeInterval.cpp.

References dictionary::getValOrSet(), and pFlow::largeValue.

Referenced by pFlow::operator>>(), rotatingAxis::read(), vibrating::read(), and timeInterval::timeInterval().

Here is the call graph for this function:
Here is the caller graph for this function:

## write() [1/2]

FUNCTION_H bool write | ( | dictionary & | dict | ) | const

Definition at line 26 of file timeInterval.cpp.

References dictionary::add(), pFlow::endl(), fatalErrorInFunction, and dictionary::globalName().

Referenced by pFlow::operator<<(), rotatingAxis::write(), and vibrating::write().

Here is the call graph for this function:
Here is the caller graph for this function:

## read() [2/2]

FUNCTION_H bool read | ( | iIstream & | is | ) |

Definition at line 46 of file timeInterval.cpp.

References pFlow::endl(), FUNCTION_NAME, ioErrorInFile, IOstream::lineNumber(), IOstream::name(), and iIstream::readEndStatement().

Here is the call graph for this function:

## write() [2/2]

FUNCTION_H bool write | ( | iOstream & | os | ) | const

Definition at line 79 of file timeInterval.cpp.

References IOstream::check(), FUNCTION_NAME, and iOstream::writeWordEntry().

Here is the call graph for this function:

## Member Data Documentation

## startTime_

real startTime_ = 0

protected

Definition at line 19 of file timeInterval.hpp.

Referenced by timeInterval::inTimeRange(), and timeInterval::startTime().

## endTime_

real endTime_ = largeValue

protected

Definition at line 21 of file timeInterval.hpp.

Referenced by timeInterval::endTime(), and timeInterval::inTimeRange().

## time_

real time_ =0

protected

Definition at line 23 of file timeInterval.hpp.

Referenced by timeInterval::setTime(), and timeInterval::time().

## isInInterval_

bool isInInterval_ = true

protected

Definition at line 25 of file timeInterval.hpp.

Referenced by timeInterval::inTimeRange(), and timeInterval::setTime().

The documentation for this class was generated from the following files:

- src/MotionModel/entities/timeInterval/timeInterval.hpp
- src/MotionModel/entities/timeInterval/timeInterval.cpp